[oe-commits] Martin Jansa : fsodeviced: update recipe from SHR

git version control git at git.openembedded.org
Thu Nov 19 08:10:33 UTC 2009


Module: openembedded.git
Branch: shr/merge
Commit: 6483ed351e5b79e339f97ffaf8838d466149de93
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=6483ed351e5b79e339f97ffaf8838d466149de93

Author: Martin Jansa <Martin.Jansa at gmail.com>
Date:   Wed Nov 18 13:52:44 2009 +0100

fsodeviced: update recipe from SHR

Signed-off-by: Martin Jansa <Martin.Jansa at gmail.com>

---

 recipes/freesmartphone/fsodeviced/fsodeviced |   40 ++++++++++++++++++++++++++
 recipes/freesmartphone/fsodeviced_git.bb     |   17 ++++++++++-
 2 files changed, 56 insertions(+), 1 deletions(-)

diff --git a/recipes/freesmartphone/fsodeviced/fsodeviced b/recipes/freesmartphone/fsodeviced/fsodeviced
new file mode 100644
index 0000000..77fabb6
--- /dev/null
+++ b/recipes/freesmartphone/fsodeviced/fsodeviced
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# fsodeviced -- This shell script starts and stops the FSO2 device subsystem daemon.
+#
+# chkconfig: 345 90 20
+# description: fsodeviced is the freesmartphone.org FSO2 device daemon
+# processname: fsodeviced
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=fsodeviced
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting fsodeviced: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/fsodeviced
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping fsodeviced: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/fsodeviced {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/recipes/freesmartphone/fsodeviced_git.bb b/recipes/freesmartphone/fsodeviced_git.bb
index 1b01241..56773cc 100644
--- a/recipes/freesmartphone/fsodeviced_git.bb
+++ b/recipes/freesmartphone/fsodeviced_git.bb
@@ -5,4 +5,19 @@ DEPENDS += "alsa-lib libcanberra libfsoresource"
 RDEPENDS += "libcanberra-alsa"
 RRECOMMENDS += "fso-alsa-data"
 PV = "0.9.0+gitr${SRCREV}"
-PR = "${INC_PR}.0"
+PE = "1"
+PR = "${INC_PR}.2"
+
+inherit update-rc.d
+
+INITSCRIPT_NAME = "fsodeviced"
+INITSCRIPT_PARAMS = "defaults 27"
+
+SRC_URI += "file://fsodeviced"
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/init.d/
+	install -m 0755 ${WORKDIR}/fsodeviced ${D}${sysconfdir}/init.d/
+}
+
+FILES_${PN} += "${sysconfdir}/init.d/fsodeviced"





More information about the Openembedded-commits mailing list